> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vaults.fyi/llms.txt
> Use this file to discover all available pages before exploring further.

# Get fixed-term transaction context

> Retrieves transaction context for a Pendle fixed-term market, including user balances for PT token and underlying asset



## OpenAPI

````yaml https://api.vaults.fyi/beta/documentation/json get /beta/fixed-term/context/{userAddress}/{network}/{vaultId}
openapi: 3.0.3
info:
  title: Vaults.fyi Beta API
  version: 0.1.0
  description: >-
    Beta API endpoints for features in testing. These endpoints are not included
    in the main API documentation and may change without notice.
servers:
  - url: https://api.vaults.fyi
    description: Vaults.fyi Beta API
security: []
tags:
  - name: Borrow Markets
  - name: The Deep
  - name: Fixed Term (Pendle)
  - name: Portfolio
  - name: SVM
paths:
  /beta/fixed-term/context/{userAddress}/{network}/{vaultId}:
    get:
      tags:
        - Fixed Term (Pendle)
      summary: Get fixed-term transaction context
      description: >-
        Retrieves transaction context for a Pendle fixed-term market, including
        user balances for PT token and underlying asset
      operationId: getFixedTermTransactionContext
      parameters:
        - schema:
            type: string
            pattern: ^0x[a-fA-F0-9]{40}$
          in: path
          name: userAddress
          required: true
          description: User address
        - schema:
            type: string
            enum:
              - mainnet
              - optimism
              - arbitrum
              - polygon
              - gnosis
              - base
              - unichain
              - swellchain
              - celo
              - worldchain
              - berachain
              - ink
              - bsc
              - hyperliquid
              - plasma
              - avalanche
              - katana
              - linea
              - mega-eth
              - monad
              - etherlink
              - eip155:1
              - eip155:10
              - eip155:42161
              - eip155:137
              - eip155:100
              - eip155:8453
              - eip155:130
              - eip155:1923
              - eip155:42220
              - eip155:480
              - eip155:80094
              - eip155:57073
              - eip155:56
              - eip155:999
              - eip155:9745
              - eip155:43114
              - eip155:747474
              - eip155:59144
              - eip155:4326
              - eip155:143
              - eip155:42793
          in: path
          name: network
          required: true
          description: Network name or CAIP-2 identifier
        - schema:
            type: string
          in: path
          name: vaultId
          required: true
          description: Market vault id
      responses:
        '200':
          description: Fixed-term transaction context for a user and market
          content:
            application/json:
              schema:
                type: object
                properties:
                  currentDepositStep:
                    type: string
                    enum:
                      - deposit
                      - redeem
                      - request-redeem
                      - request-deposit
                      - claim-redeem
                      - claim-deposit
                      - claim-rewards
                      - start-redeem-cooldown
                    description: Current deposit step
                  depositSteps:
                    type: array
                    items:
                      type: object
                      properties:
                        actions:
                          type: array
                          items:
                            type: string
                        actionsUrl:
                          type: string
                        name:
                          type: string
                          enum:
                            - deposit
                            - redeem
                            - request-redeem
                            - request-deposit
                            - claim-redeem
                            - claim-deposit
                            - claim-rewards
                            - start-redeem-cooldown
                      required:
                        - actions
                        - actionsUrl
                        - name
                      additionalProperties: false
                    description: Deposit steps
                  currentRedeemStep:
                    type: string
                    enum:
                      - deposit
                      - redeem
                      - request-redeem
                      - request-deposit
                      - claim-redeem
                      - claim-deposit
                      - claim-rewards
                      - start-redeem-cooldown
                    description: Current redeem step
                  redeemSteps:
                    type: array
                    items:
                      type: object
                      properties:
                        actions:
                          type: array
                          items:
                            type: string
                        actionsUrl:
                          type: string
                        name:
                          type: string
                          enum:
                            - deposit
                            - redeem
                            - request-redeem
                            - request-deposit
                            - claim-redeem
                            - claim-deposit
                            - claim-rewards
                            - start-redeem-cooldown
                      required:
                        - actions
                        - actionsUrl
                        - name
                      additionalProperties: false
                    description: Redeem steps
                  lpToken:
                    type: object
                    properties:
                      address:
                        type: string
                        pattern: ^0x[a-fA-F0-9]{40}$
                        description: Address of the LP token
                      tokenCaip:
                        type: string
                        pattern: ^eip155:\d+\/(erc20:0x[0-9a-fA-F]{40}|slip44:\d+)$
                        description: CAIP-2 of the LP token
                      name:
                        type: string
                        description: Name of the LP token
                      symbol:
                        type: string
                        description: Symbol of the LP token
                      decimals:
                        type: integer
                        description: Number of decimals of the LP token
                      balanceNative:
                        type: string
                        description: Balance of the LP token
                      balanceUsd:
                        type: string
                        description: USD value of the LP token
                    required:
                      - address
                      - tokenCaip
                      - name
                      - symbol
                      - decimals
                      - balanceNative
                    additionalProperties: false
                    description: LP token details
                  asset:
                    type: object
                    properties:
                      address:
                        type: string
                        pattern: ^0x[a-fA-F0-9]{40}$
                        description: Address of the asset
                      assetCaip:
                        type: string
                        pattern: ^eip155:\d+\/(erc20:0x[0-9a-fA-F]{40}|slip44:\d+)$
                        description: CAIP-2 of the asset
                      name:
                        type: string
                        description: Name of the asset
                      symbol:
                        type: string
                        description: Symbol of the asset
                      decimals:
                        type: integer
                        description: Number of decimals of the asset
                      assetLogo:
                        type: string
                        format: uri
                        description: URL of the asset logo
                      assetPriceInUsd:
                        type: string
                        description: Price of the asset in USD
                      assetGroup:
                        type: string
                        description: Group of the asset, e.g., ETH, USD, EURO, BTC, OTHER
                      balanceNative:
                        type: string
                        description: Balance of the asset denominated in asset precision
                      balanceUsd:
                        type: string
                        description: >-
                          Balance of the asset denominated in usd. Omitted when
                          no price is available.
                      unclaimedNative:
                        type: string
                        description: >-
                          Unclaimed balance of the asset in the position
                          denominated in asset precision
                      unclaimedUsd:
                        type: string
                        description: >-
                          Unclaimed balance of the asset in the position
                          denominated in usd
                      positionValueInAsset:
                        type: string
                        description: Position value in asset denominated in asset precision
                      depositLimit:
                        type: string
                        description: Maximum amount that can be deposited
                    required:
                      - address
                      - assetCaip
                      - name
                      - symbol
                      - decimals
                      - assetGroup
                      - balanceNative
                    additionalProperties: false
                    description: Asset details
                  additionalAssets:
                    type: array
                    items:
                      type: object
                      properties:
                        address:
                          type: string
                          pattern: ^0x[a-fA-F0-9]{40}$
                          description: Address of the asset
                        assetCaip:
                          type: string
                          pattern: ^eip155:\d+\/(erc20:0x[0-9a-fA-F]{40}|slip44:\d+)$
                          description: CAIP-2 of the asset
                        name:
                          type: string
                          description: Name of the asset
                        symbol:
                          type: string
                          description: Symbol of the asset
                        decimals:
                          type: integer
                          description: Number of decimals of the asset
                        assetLogo:
                          type: string
                          format: uri
                          description: URL of the asset logo
                        assetPriceInUsd:
                          type: string
                          description: Price of the asset in USD
                        assetGroup:
                          type: string
                          description: Group of the asset, e.g., ETH, USD, EURO, BTC, OTHER
                        balanceNative:
                          type: string
                          description: Balance of the asset denominated in asset precision
                        balanceUsd:
                          type: string
                          description: >-
                            Balance of the asset denominated in usd. Omitted
                            when no price is available.
                        unclaimedNative:
                          type: string
                          description: >-
                            Unclaimed balance of the asset in the position
                            denominated in asset precision
                        unclaimedUsd:
                          type: string
                          description: >-
                            Unclaimed balance of the asset in the position
                            denominated in usd
                        positionValueInAsset:
                          type: string
                          description: >-
                            Position value in asset denominated in asset
                            precision
                        depositLimit:
                          type: string
                          description: Maximum amount that can be deposited
                      required:
                        - address
                        - assetCaip
                        - name
                        - symbol
                        - decimals
                        - assetGroup
                        - balanceNative
                      additionalProperties: false
                    description: Additional assets details
                required:
                  - currentDepositStep
                  - depositSteps
                  - currentRedeemStep
                  - redeemSteps
                  - lpToken
                  - asset
                  - additionalAssets
                additionalProperties: false
                description: Fixed-term transaction context for a user and market
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      statusCode:
                        type: number
                      error:
                        type: string
                        enum:
                          - Bad Request
                      message:
                        type: string
                      errorId:
                        type: string
                    required:
                      - statusCode
                      - error
                      - message
                    additionalProperties: false
                  - {}
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      error:
                        type: string
                        enum:
                          - Unauthorized
                      message:
                        type: string
                        enum:
                          - >-
                            An API key is required to access this service. Sign
                            up at https://portal.vaults.fyi/signup to generate a
                            key. We offer a Pay-As-You-Go plan so you only pay
                            for what you use, with no commitments.
                      errorId:
                        type: string
                    required:
                      - error
                      - message
                    additionalProperties: false
                  - {}
        '402':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      x402Version:
                        anyOf:
                          - type: number
                          - type: string
                      error:
                        type: string
                      resource:
                        type: object
                        properties:
                          url:
                            type: string
                          description:
                            type: string
                          mimeType:
                            type: string
                          serviceName:
                            type: string
                          tags:
                            type: array
                            items:
                              type: string
                          iconUrl:
                            type: string
                        required:
                          - url
                        additionalProperties: false
                      accepts:
                        anyOf:
                          - type: array
                            items:
                              type: object
                              properties:
                                scheme:
                                  type: string
                                  enum:
                                    - exact
                                network:
                                  type: string
                                amount:
                                  type: string
                                payTo:
                                  type: string
                                maxTimeoutSeconds:
                                  type: number
                                asset:
                                  type: string
                                extra:
                                  type: object
                                  properties:
                                    name:
                                      type: string
                                    version:
                                      type: string
                                  required:
                                    - name
                                    - version
                                  additionalProperties: false
                              required:
                                - scheme
                                - network
                                - amount
                                - payTo
                                - maxTimeoutSeconds
                                - asset
                              additionalProperties: false
                          - {}
                      extensions:
                        type: object
                        additionalProperties: {}
                    required:
                      - x402Version
                      - resource
                    additionalProperties: false
                  - {}
        '403':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      error:
                        type: string
                        enum:
                          - Forbidden
                      message:
                        type: string
                        enum:
                          - >-
                            This API key has exhausted its available credits. To
                            resume service, please visit
                            https://portal.vaults.fyi/signup to top-up your
                            credits
                      errorId:
                        type: string
                    required:
                      - error
                      - message
                    additionalProperties: false
                  - {}
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - Not Found
                  message:
                    type: string
                required:
                  - error
                  - message
                additionalProperties: false
        '408':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      message:
                        type: string
                      errorId:
                        type: string
                    additionalProperties: false
                  - {}
        '422':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      statusCode:
                        type: number
                      error:
                        type: string
                        enum:
                          - Unprocessable Entity
                      message:
                        type: string
                      errorId:
                        type: string
                    required:
                      - statusCode
                      - error
                      - message
                    additionalProperties: false
                  - {}
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      error:
                        type: string
                        enum:
                          - Internal Server Error
                      message:
                        type: string
                      errorId:
                        type: string
                    required:
                      - error
                      - message
                    additionalProperties: false
                  - {}
        '503':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      statusCode:
                        type: number
                      error:
                        type: string
                        enum:
                          - Service Unavailable
                      message:
                        type: string
                      errorId:
                        type: string
                    required:
                      - statusCode
                      - error
                      - message
                    additionalProperties: false
                  - {}
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: x-api-key
      in: header

````